# $Revision: 1.24 $, $Date: 2007-12-24 11:51:22 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Tea
Summary:	Crypt::Tea - Tiny Encryption Algorithm in pure Perl
Summary(pl.UTF-8):	Crypt::Tea - Tiny Encryption Algorithm w samym Perlu
Name:		perl-Crypt-Tea
Version:	2.12
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	29eb004d5059adaafc9c83dfb948dd11
URL:		http://seach.cpan.org/dist/Crypt-Tea/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements TEA, the Tiny Encryption Algorithm, and some
Modes of Use based on CBC, compatibly in both Perl and JavaScript.
This enables CGI scripts to communicate with browsers. The
functionality of this Tea.pm is quite different from Abhijit
Menon-Sen's TEA.pm; the encryption is done in pure Perl, all
cyphertext is ascii-encoded, and notably there is a subroutine to
return JavaScript code which implements compatible functions in
JavaScript. Tea.pm was written to give an encryption engine which
could be dropped into both ends of an HTTP connection, in Perl at the
CGI end and in JavaScript at the browser end.

%description -l pl.UTF-8
Ten moduł jest implementacją TEA (Tiny Encryption Algorithm) i paru
trybów działania bazowanych na CBC, kompatybilnych z Perlem i
JavaScriptem. Pozwala to skryptom CGI komunikować się z przeglądarką.
Funkcjonalność tego modułu (Tea.pm) nieco różni się od modułu TEA.pm
autorstwa Abhijita Menon-Sena; szyfrowanie jest robione w czystym
Perlu, cały zaszyfrowany tekst jest kodowany jako ASCII, ponadto jest
funkcja zwracająca kod w JavaScripcie, który ma zaimplementowane
kompatybilne funkcje. Tea.pm został napisany, by dać silnik
szyfrowania, którego można użyć po obu stronach połączenia HTTP: w
Perlu po stronie CGI i w JavaScripcie po stronie przeglądarki.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/Crypt/Tea.pm
%{_mandir}/man1/tea.1*
%{_mandir}/man3/Crypt::Tea.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-Tea.spec,v $
Revision 1.24  2007-12-24 11:51:22  qboosh
- generic URL

Revision 1.23  2007-12-23 22:56:41  zbyniu
- up to 2.12

Revision 1.22  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:28  baggins
- converted to UTF-8

Revision 1.20  2005/05/29 15:40:08  petec
- up to 2.09

Revision 1.19  2004/12/25 22:16:27  darekr
- updated to 2.07

Revision 1.18  2004/12/01 12:31:28  radek
- autoupdated to 2.04

Revision 1.17  2004/11/03 22:30:14  paladine
- formatting

Revision 1.16  2004/11/01 21:44:37  adamg
- updated to 2.03

Revision 1.15  2004/10/29 09:27:53  paladine
- "HTTP" and "HTTPS" unification

Revision 1.14  2004/06/05 18:10:36  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.13  2004/05/06 18:09:26  ankry
- fixed perl-devel BR

Revision 1.12  2004/04/20 09:55:38  ankry
- new bconds

Revision 1.11  2004/04/19 19:37:07  ankry
- license fixes and unification

Revision 1.10  2003/09/15 08:18:09  adamg
- updated to 1.44

Revision 1.9  2003/08/18 08:08:38  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/03/01 18:46:41  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:37:45  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:30:04  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/09/26 14:21:37  ankry
- version 1.43

Revision 1.2  2002/09/08 15:50:12  radek
- version 1.42, cosmetics

Revision 1.1  2002/08/02 20:06:33  qboosh
- new
